API reference
Web Pages
A Web Page represents an HTML web page that has been found by the scraper, and is associated to a Report.
Attributes
- ID
- Unique ID for the Web Page.
- URL
- URL of the Web Page.
- Linked From
- URL of the web page that links to this web page. That is, where the Spider found first about this Web Page.
- HTML Check
- Holds the result of the HTML check on that web page, if it was enabled. Includes the number of
errorsandwarnings, and thestatusof the check. - A11y Check
- Holds the result of the accessibility check on that web page, if it was enabled.
Include the number of accessibility
errorsandwarnings. Also includes the number of issues per eachseveritylevel (minor,moderate,seriousandcritical), and thestatusof the check. - Status
- Checking status for the web page, depending on the status of the HTML and A11Y checks:
- If both are
pending, the status will also bepending. - If one is
pendingand the other ischecked, it will bechecking. - If any check is
failed, the status will befailed. - If both checks are
checked, the status will bechecked.
- If both are
- Inserted At
- Timestamp when the web page was created.
- Updated At
- Timestamp when the web page was last updated.
- Last Checked At
- Timestamp when the web page was last checked.
Relationships
- Report
- The Report that this Web Page belongs to.
- HTML issues
- The HTML issues found on this Web Page, if the HTML check was enabled.
- A11Y issues
- The accessibility issues found on this Web Page, if the accessibility check was enabled.
- Raw HTML Check
- The raw HTML check for this Web Page, if the raw HTML check optionwas enabled on the report.
- Raw A11Y Check
- The raw accessibility check for this Web Page, if the raw accessibility check option was enabled on the report.
Example
Example: Web Page example
{"data": {"attributes": {"a11y_check": {"errors": 5,"severity": {"critical": 0,"minor": 0,"moderate": 0,"serious": 5,"total": {"errors": 5,"total": 5,"warnings": 0}},"status": "checked","warnings": 0},"html_check": {"errors": 2,"status": "checked","warnings": 14},"inserted_at": "2024-05-14T13:54:31","last_checked_at": "2024-05-14T13:54:39","linked_from": "https://dummy.rocketvalidator.com","status": "checked","updated_at": "2024-05-14T13:54:39","url": "https://dummy.rocketvalidator.com/about/"},"id": "8683545","relationships": {"a11y_issues": {"links": {"related": "https://rocketvalidator.com/api/v1/reports/2455a63a-7e16-4cbf-8455-6c9a88195142/web_pages/8683545/a11y_issues"}},"html_issues": {"links": {"related": "https://rocketvalidator.com/api/v1/reports/2455a63a-7e16-4cbf-8455-6c9a88195142/web_pages/8683545/html_issues"}},"raw_a11y_check": {"links": {"related": "https://rocketvalidator.com/api/v1/reports/2455a63a-7e16-4cbf-8455-6c9a88195142/web_pages/8683545/raw_a11y_check"}},"raw_html_check": {"links": {"related": "https://rocketvalidator.com/api/v1/reports/2455a63a-7e16-4cbf-8455-6c9a88195142/web_pages/8683545/raw_html_check"}},"report": {"links": {"related": "https://rocketvalidator.com/api/v1/reports/2455a63a-7e16-4cbf-8455-6c9a88195142"}}},"type": "web_page"},"jsonapi": {"version": "1.0"}}List Web Pages on a Report
To list the web pages on a Report, send a
GETrequest to/api/v1/reports/$REPORT_ID/web_pages.
GET /api/v1/reports/$REPORT_ID/web_pagesFiltering by URL
To include only the web pages for a given
url, use thefilter[url]option.
GET /api/v1/reports/$REPORT_ID/web_pages?filter[url]=aboutFiltering by HTML issue
To include only the web pages containing a given HTML issue, pass the HTML issue ID via the
filter[common_html_issue_id]option.
GET /api/v1/reports/$REPORT_ID/web_pages?filter[common_html_issue_id]=$HTML_ISSUE_IDFiltering by A11Y issue
To include only the web pages containing a given accessibility issue, pass the A11Y issue ID via the
filter[common_a11y_issue_id]option.
GET /api/v1/reports/$REPORT_ID/web_pages?filter[common_a11y_issue_id]=$A11Y_ISSUE_IDRetrieve a Web Page
To show an individual Web Page, send a
GETrequest to/api/v1/reports/$REPORT_ID/web_pages/$WEBPAGE_ID.
GET /api/v1/reports/$REPORT_ID/web_pages/$WEBPAGE_IDRecheck a Web Page
To re-check a web page, send a
PATCHrequest to/api/v1/reports/$REPORT_ID/web_pages/$WEBPAGE_IDwith a payload to set thestatustopending. Any other payload will be rejected.Example: PATCH /api/v1/reports/$REPORT_ID/web_pages/$WEBPAGE_ID
{"data": {"attributes": {"status": "pending"}}}Delete a Web Page
Deleting web pages from a report is a feature. It removes the web page, and updates the excluded URLs list for that report. If the report has no more web pages left, it will itself be deleted as well.
To delete an individual Web Page from a report, send a
DELETErequest to/api/v1/reports/$REPORT_ID/web_pages/$WEBPAGE_ID.
DELETE /api/v1/reports/$REPORT_ID/web_pages/$WEBPAGE_ID